Bug 215212 - For (ks) cd/dvd initiated installs: eject disc before reboot.
For (ks) cd/dvd initiated installs: eject disc before reboot.
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2006-11-12 08:11 EST by David Timms
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-14 13:21:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Timms 2006-11-12 08:11:21 EST
Description of problem:
After install, CD/DVD stays loaded, and hence reboot loads the installer again.

Version-Release number of selected component (if applicable):
fc6 boot.iso

Steps to Reproduce:
1. boot boot.iso
2. linux ks=ftp://... {may also happen with manual method and direct cd/dvd
3. when install completes, machine gets rebooted.
Actual results:
Since CD is in drawer, installer boot is run again.

Expected results:
On a notebook {and server notebook size} cd drive, ejecting the CD will leave it
ejected after the bios startup, so that the freshly installed operating system

Additional info:
This wouldn't help on a full size cd/dvd drive install because the bios ide
reset seems to pull the drawer back into the drive - and thus the machine would
then boot from the CD {if set to}.
This would be a little time saver, but wouldn't hurt other machines.
Comment 1 Chris Lumens 2006-11-13 10:19:51 EST
Does reboot --eject work for you?
Comment 2 David Timms 2006-11-14 07:20:40 EST
As suggested, added --eject to the reboot option of the kickstart.cfg:
#Reboot after installation

reboot --eject

This did indeed eject the cd just before the notebook was booted. The machine
then rebooted and started the freshly installed operating system :)

So this enhancement request is already available. The only thing is: where is
the doco. The most recent I could find is:

So where do documentation bugs/enhancements need to be notified ?
Comment 3 Chris Lumens 2006-11-14 13:21:25 EST
/usr/share/doc/anaconda-*/kickstart-docs.txt has it on an installed system.  I'm
going to talk to the docs people to make sure it gets in for the RHEL5 dics. 
You wouldn't see this option in the RHEL4 docs anyway because it's newer than that.

Note You need to log in before you can comment on or make changes to this bug.